Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class URLEditRenderer

    oracle.portal.provider.v1.http.URLEditRenderer

public class URLEditRenderer

Class for rendering edit screen of URLPortlet. Can customize portlet title and portlet parameters if any.

Field Summary
`static java.lang.String` | `LAST_EDITED_TIME`
`static java.lang.String` | `PORTLET_TITLE`

Constructor Summary
`URLEditRenderer()`

Method Summary
`static java.util.Date` | `getLastEditTime(URLPersonalizationObject data)` Method for determining last time this portlet was edited.
`void` | `renderBody(oracle.portal.provider.v1.PortletRenderRequest pr)` Overrides base class's renderBody method.
`void` | `setQualifyParameters(java.lang.String flag)` Determines whether to use qualified parameters.

Field Detail

### PORTLET_TITLE

    public static final java.lang.String PORTLET_TITLE

### LAST_EDITED_TIME

    public static final java.lang.String LAST_EDITED_TIME

Constructor Detail

### URLEditRenderer

    public URLEditRenderer()

Method Detail

### renderBody

    public void renderBody(oracle.portal.provider.v1.PortletRenderRequest pr)
                    throws oracle.portal.provider.v1.PortletException,
                           oracle.portal.provider.v1.AccessControlException

  Overrides base class's renderBody method. Displays customization screen for customizing portlet title as well as portlet parameters, if any.
  Parameters:
    `PortletRenderRequest` - pr

### setQualifyParameters

    public void setQualifyParameters(java.lang.String flag)

  Determines whether to use qualified parameters. Qualifying a portlet parameter will be useful in avoiding name clash between paramter names of different portlet present in the same page. Parameter names will be hashed using a special function and it will ensure that HTTP request header carries different parameter names/values even if by mistake the user has used same paramter names.
  Parameters:
    `flag` - true/false.

### getLastEditTime

    public static java.util.Date getLastEditTime(URLPersonalizationObject data)

  Method for determining last time this portlet was edited. Fetches this information from user's personalization data.
  Parameters:
    `data` - Personlization Object

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD